<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
    <li><?= $this->translate('administration_module_title') ?></li>
    <li class="active"><?= $this->translate('configuration_module_title') ?></li>
</ul>

<h1 class="page-title">
    <?= $this->icon('configuration') ?> <?= $this->translate('configuration_module_title') ?>
</h1>

<div class="row row-padding">
    <div class="col-xs-12">
        <div class="panel" ng-controller="configurationController as self">
            <div class="panel-heading">
                <?= $this->translate('configuration_module_title') ?>
            </div>
            <div class="panel-body">
                <div class="row">
                    <div class="col-sm-2">
                        <ul class="nav nav-pills nav-stacked">
                            <li class="active">
                                <a href="#modules" data-toggle="tab">
                                    <?= $this->icon('module', 'fa-fw') ?> <?= $this->translate('configuration_tab_modules') ?>
                                </a>
                            </li>
                            <li>
                                <a href="#translations" data-toggle="tab">
                                    <?= $this->icon('translation', 'fa-fw') ?> <?= $this->translate('configuration_tab_translations') ?>
                                </a>
                            </li>
                            <li>
                                <a href="#commands" data-toggle="tab">
                                    <?= $this->icon('command', 'fa-fw') ?> <?= $this->translate('configuration_tab_commands') ?>
                                </a>
                            </li>
                            <li>
                                <a href="#code" data-toggle="tab">
                                    <i class="fa fa-barcode fa-fw" title="icon : barcode"></i> <?= $this->translate('configuration_tab_code') ?>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div class="col-sm-10">
                        <form name="configurationForm" ng-submit="self.saveConfiguration()">
                            <div class="tab-content">
                                <?php /*********************************************************/ ?>
                                <?php /*****************      MODULES          *****************/ ?>
                                <?php /*********************************************************/ ?>

                                <div class="tab-pane active" id="modules">
                                    <?php
                                    $clientModules = $this->environment()->getclient()->getModules();
                                    foreach ($this->modules as $module) {
                                        if ($module->isActivable()) {
                                            echo '<div class="row">';
                                            echo '<div class="form-group col-sm-4" ng-init="self.modules[\'' . $module->getKey() . '\'] = { active: ' . ($module->isActive() ? 'true' : 'false') . '}">';
                                            echo '<label>' . $this->translate($module->getKey() . '_module_title') . '</label>';
                                            echo '<select class="form-control" ng-model="self.configuration.modules[\'' . $module->getKey() . '\'].active" ng-options="item.value as item.label for item in [
                                                                    {
                                                                        value: true,
                                                                        label: \'Activé\'
                                                                    },
                                                                    {
                                                                        value: false,
                                                                        label: \'Désactivé\'
                                                                    }
                                                                ]" ng-readonly="!self.configuration._rights.update">';
                                            echo '</select>';
                                            echo '</div>';
                                            echo '</div>';
                                        }
                                    }
                                    ?>
                                    <div class="row" ng-if="self.configuration._rights.update">
                                        <div class="form-group col-xs-12">
                                            <button type="submit" class="btn btn-submit" ng-disabled="self.loading.save">
                                                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                                <?= $this->translate('form_button_save') ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>

                                <?php /*********************************************************/ ?>
                                <?php /*****************      TRANSLATIONS          ************/ ?>
                                <?php /*********************************************************/ ?>
                                <div class="tab-pane" id="translations">
                                    <ul class="nav nav-tabs">
                                        <?php $i = 0;
                                        foreach ($this->translations as $tab => $translations) : ?>
                                            <li class="<?= ($i > 0 ? '' : 'active') ?>">
                                                <a href="#<?= $tab ?>" data-toggle="tab">
                                                    <?= $this->icon($tab, 'fa fa-fw') ?>
                                                    <?= ucfirst($this->translate($tab . '_entity')) ?>
                                                </a>
                                            </li>
                                        <?php $i++;
                                        endforeach; ?>
                                    </ul>

                                    <div class="tab-content separator">
                                        <div class="separator"></div>
                                        <?php $i = 0;
                                        foreach ($this->translations as $tab => $translations) : ?>
                                            <div class="tab-pane <?= ($i > 0 ? '' : 'active') ?>" id="<?= $tab ?>">

                                                <table class="table table-bordered table-condensed table-hover">
                                                    <thead>
                                                        <tr>
                                                            <th>Champ</th>
                                                            <th>Traduction</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <?php foreach ($translations as $i => $translation) { ?>
                                                            <tr>
                                                                <td>
                                                                    <?php
                                                                    switch ($tab) {
                                                                        case 'levels':
                                                                            echo 'Niveau ' . $i;
                                                                            break;
                                                                        case 'project':
                                                                            $keyWithPrefix = 'base_' . $translation;
                                                                            $keyWithPrefixTrans = $this->translate($keyWithPrefix);
                                                                            $rawTrans = $this->translate($translation);
                                                                            echo $keyWithPrefixTrans !== $keyWithPrefix ? $keyWithPrefixTrans : $rawTrans;
                                                                            break;
                                                                        case 'project_help':
                                                                            echo $this->translate(str_replace('help', 'field', $translation));
                                                                            break;
                                                                        case 'project_placeholder':
                                                                            echo $this->translate(str_replace('placeholder', 'field', $translation));
                                                                            break;
                                                                    }
                                                                    ?>
                                                                </td>
                                                                <td>

                                                                    <?php if ('project_placeholder' === $tab) : ?>
                                                                        <textarea class="form-control" ng-model="<?= $tab == 'levels' ? 'self.configuration.modules.project.levels[\'' . $i . '\'].name' : 'self.configuration.translations[\'' . $translation . '\']' ?>" rows="5"></textarea>
                                                                    <?php else : ?>
                                                                        <input type="text" class="form-control" ng-model="<?= $tab == 'levels' ? 'self.configuration.modules.project.levels[\'' . $i . '\'].name' : 'self.configuration.translations[\'' . $translation . '\']' ?>" />
                                                                    <?php endif; ?>
                                                                </td>
                                                            </tr>
                                                        <?php } ?>
                                                    </tbody>
                                                </table>

                                            </div>
                                        <?php $i++;
                                        endforeach; ?>
                                    </div>

                                    <div class="row" ng-if="self.configuration._rights.update">
                                        <div class="form-group col-xs-12">
                                            <button type="submit" class="btn btn-submit" ng-disabled="self.loading.save">
                                                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                                <?= $this->translate('form_button_save') ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>


                                <?php /*********************************************************/ ?>
                                <?php /*****************      COMMANDS          ****************/ ?>
                                <?php /*********************************************************/ ?>
                                <div class="tab-pane" id="commands">
                                    <?php if ($this->module()->isActive('project')) : ?>
                                        <h5><?= $this->translate('project_module_title') ?></h5>
                                        <ul>
                                            <li>
                                                <a class="cursor" href="#" ng-click="self.runCommand('project-level')"><?= $this->translate('command_project-level') ?></a>
                                                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.command[\'project-level\'] === true']) ?>
                                            </li>
                                        </ul>
                                    <?php endif; ?>
                                    <?php if ($this->module()->isActive('budget')) : ?>
                                        <h5><?= $this->translate('budget_module_title') ?></h5>
                                        <ul>
                                            <li>
                                                <a class="cursor" href="#" ng-click="self.runCommand('poste-hierarchy')"><?= $this->translate('command_poste-hierarchy') ?></a>
                                                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.command[\'poste-hierarchy\'] === true']) ?>
                                            </li>
                                            <li>
                                                <a class="cursor" href="#" ng-click="self.runCommand('poste-cleaning')"><?= $this->translate('command_poste-cleaning') ?></a>
                                                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.command[\'poste-cleaning\'] === true']) ?>
                                            </li>
                                        </ul>
                                    <?php endif; ?>
                                    <?php if ($this->module()->isActive('age')) : ?>
                                        <h5><?= $this->translate('age_module_title') ?></h5>
                                        <ul>
                                            <li>
                                                <a class="cursor" href="#" ng-click="self.runCommand('sync-age')"><?= $this->translate('command_sync-age') ?></a>
                                                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.command[\'sync-age\'] === true']) ?>
                                            </li>
                                        </ul>
                                    <?php endif; ?>
                                    <?php if ($this->module()->isActive('postParc')) : ?>
                                        <h5><?= $this->translate('postParc_module_title') ?></h5>
                                        <ul>
                                            <li>
                                                <a class="cursor" href="#" ng-click="self.runCommand('sync-post-parc')"><?= $this->translate('command_sync-post-parc') ?></a>
                                                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.command[\'sync-post-parc\'] === true']) ?>
                                            </li>
                                        </ul>
                                    <?php endif; ?>
                                </div>


                                <?php /*********************************************************/ ?>
                                <?php /*****************         CODE          *****************/ ?>
                                <?php /*********************************************************/ ?>
                                <div class="tab-pane" id="code">
                                    <div class="form-group">
                                        <label><?= $this->translate('configuration_label_code') ?></label>
                                        <div class="input-group">
                                            <span class="input-group-addon">[<?= $this->translate('project_field_plannedDateStart_year') ?>]PRJ</span>
                                            <input type="number" ng-model="self.configuration.code" class="form-control">
                                        </div>
                                    </div>

                                    <div class="row" ng-if="self.configuration._rights.update">
                                        <div class="form-group col-xs-12">
                                            <button type="submit" class="btn btn-submit" ng-disabled="self.loading.save">
                                                <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                                <?= $this->translate('form_button_save') ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$this->angular('js/src/application/configuration/service/configuration.js');
$this->angular('js/src/application/configuration/controller/configuration.js');
$this->angular('js/src/application/configuration/service/command.js');
